<?php
/**
 * @package     Bluecoder.JFilters
 *
 * @copyright   Copyright © 2023 Blue-Coder.com. All rights reserved.
 * @license     GNU General Public License 2 or later, see COPYING.txt for license details.
 */

namespace Bluecoder\Component\Jfilters\Administrator\Model;

\defined('_JEXEC') or die();

class SubFormField
{
    /**
     * @var string
     */
    protected $context;

    /**
     * @var string
     */
    protected $name;

    /**
     * @var array
     */
    protected $subfields;

    /**
     * SubFormField constructor.
     *
     * @param   string  $context
     * @param   string  $name
     * @param   array   $subfields
     */
    public function __construct(string $context, string $name, array $subfields)
    {
        $this->context = $context;
        $this->name = $name;
        $this->subfields = $subfields;
    }

    /**
     * @return string
     */
    public function getContext(): string
    {
        return $this->context;
    }

    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * @return array
     */
    public function getSubfields(): array
    {
        return $this->subfields;
    }
}